        mov ax, 4F02h
        mov bx, 105h        ; Mode 105
        int 10h

        mov ah, 9
        mov dx, xyz
        int 21h

        xor cx, cx
bloop:
        xor dx, dx
aloop:
        push cx
        push dx
        mov bl, 0eh
        call setpixel
        pop dx
        pop cx

        inc dx
        cmp dx, 767
        jnz aloop

        inc cx
        cmp cx, 1023
        jnz bloop

        mov ah, 9
        mov dx, xyz
        int 21h

        mov ax, 3
        int 10h

        ret
        

setpixel:
    mov ax, 0A000h
    mov es, ax

    mov di, dx
    mov ax, 1024
    mul di          ; AX*DI=(DX:)AX

    ; Don't forget the X
    add ax, cx
    jno addrok
    inc dx
addrok:

        ; Now we have the bank in DX and the offset in AX
        
    cmp dx, cs:[curbank]
    jz nobankset
    mov cs:[curbank], dx

    push ax
    push bx
    mov ax, 4F05h           ; Switch bank (bank in dx)
    xor bx, bx
    int 10h

    pop bx
    pop ax
nobankset:
    mov di, ax
    mov es:[di], bl
    ret

curbank dw 0
xyz:    db 'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A',10,'A$'
