
// A=0, H=7, I=8, P=15

char optbtn[] =  "    IIII  \n  IIAAAAII\n IAAPPPPAAP\n IAPPPPPPHP\nIAPPPPPPPPHP\nIAPPPPPPPPHP\nIAPPPPPPPPHP\nIAPPPPPPPPHP\n IAPPPPPPHP\n IHHPPPPHHP\n  PPHHHHPP\n    PPPP";
char chker[] =   "      A\n     AA\nA   AAA\nAA AAA\nAAAAA\n AAA\n  A";
char knoedel[] = " AA\nAAAA\nAAAA\n AA";

#define fillrect drawrectf

void drawbutton(int x1, int y1, int x2, int y2, int fillcol)
    {
        // Outer
    hline(y1,x1,x2, 15);
    vline(x1,y1,y2-1, 15);
    hline(y2,x1,x2, 0);
    vline(x2,y1,y2, 0);
        // Middle
    x1++, y1++, x2--, y2--;
    hline(y1,x1,x2, 7);
    vline(x1,y1,y2-1, 7);
    hline(y2,x1,x2, 8);
    vline(x2,y1,y2, 8);
        // Inner
    x1++, y1++, x2--, y2--;
    if(fillcol != -1) fillrect(x1,y1,x2,y2,fillcol);
    }

void drawbuttondown(int x1, int y1, int x2, int y2, int fillcol)
    {
        // Outer
    hline(y1,x1,x2, 8);
    vline(x1,y1,y2-1, 8);
    hline(y2,x1,x2, 15);
    vline(x2,y1,y2, 15);
        // Middle
    x1++, y1++, x2--, y2--;
    hline(y1,x1,x2, 0);
    vline(x1,y1,y2-1, 0);
    hline(y2,x1,x2, 7);
    vline(x2,y1,y2, 7);
        // Inner
    x1++, y1++, x2--, y2--;
    if(fillcol != -1) fillrect(x1,y1,x2,y2,fillcol);
    }

void drawoptbtn(int x, int y, UCHR checked)
    {
    drawsprite(x,y,optbtn);
    if(checked)
        drawsprite(x+4,y+4,knoedel);
    }

void drawcheckbox(int x, int y, UCHR checked)
    {
    drawbuttondown(x,y,x+13,y+13,15);
    if(checked)
        drawsprite(x+3,y+3,chker);
    }

void fillbtnwithtext(int x1, int y1, int x2, int y2, int fntid, int fgcol, char *text)
    {
    outtext(((x2 - x1) / 2 - textwidth(fntid, text) / 2) + x1, ((y2 - y1) / 2 - textheight(fntid, text) / 2) + y1, fgcol, -1, fntid, text);
    }

void drawcompletebutton(int x1, int y1, int x2, int y2, UCHR down, int fntid, int fgcol, int bgcol, char *text)
    {
    if(down)
        drawbuttondown(x1,y1,x2,y2,bgcol);
    else
        drawbutton(x1,y1,x2,y2,bgcol);
    fillbtnwithtext(x1,y1,x2,y2,fntid,fgcol,text);
    }

void ok_msgbox(char *text)
    {
    drawcompletebutton(curdispx / 2 - curdispx / 3, curdispy / 2 - 20, curdispx / 2 + curdispx / 3, curdispy / 2 + 20,0,1,0,7,text);
    //while(!kbhit())
    //    _asm int 0FCh;    
    getch();
    if(tasktable[fgtask].lastsig == 0) tasktable[fgtask].lastsig = 1;
    }
