org 0h

        push cs
        pop ds

        mov ax, 35FEh           ; Get Some Info
        int 21h
        mov [dataseg], es
        mov [dataoff], bx
        mov si, bx

    ; ---- INIT
        
mainexecloop:
        mov ax, 9               ; Function 9h - kbhit?
        mov es:[si], ax
        int 0FFh
        mov ax, es:[si+2]
        cmp ax, 0
        jnz kbhit               ; Yes -> Jmp kbhit

        mov ax, 3               ; Function 3h - Get last signal
        mov es:[si], ax
        mov ax, 0FFh            ; Get own signal
        mov es:[si+2], ax
        int 0FFh                ; DO that!
        mov ax, es:[si+4]
        cmp ax, 1               ; Signal 1 (Paint)?
        jz dopaintme
        cmp ax, 2               ; Signal 2 (Term)?
        jz quitme

    ; ---- SIGNAL PROCESSING

dotswitch:                      
        int 0FCh
        push cs
        pop ds
        mov es, [dataseg]
        mov si, [dataoff]
        jmp mainexecloop

dopaintme: jmp paintme
quitme:

    ; ---- TERMINATION

        xor ax,ax               ; Function 0 - Kill
        mov es:[si], ax
        mov ax, cs              ; Store CS
        mov es:[si+2], ax
        int 0FFh                ; DO that (bye,bye)
            ; Still there? Let's do a taskswitch
        int 0FCh
            ; Really killed. If not: hang in a quit-loop
        jmp quitme

kbhit:
        mov ax, 0ah             ; Function a - getch
        mov es:[si], ax
        int 0FFh
        mov ax, es:[si+2]       ; Get it in AL

    ; ---- Q=Quit, but you can modify this here

        mov ah, al
        or al, 32               ; Make lowercase
        cmp al, 'q'             ; q(uit)
        jz quitme

    ; ---- KEY PROCESSING

        jmp dotswitch           ; Let's make a taskswitch
    
paintme:

    ; ---- PAINTING

        jmp dotswitch           ; Let's make a taskswitch


dataseg dw 0
dataoff dw 0

    ; ---- VARIABLES

